Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Anyone having issues with the NEW powerbooks? (1.5GHz G4 12"
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC
View previous topic :: View next topic  
Author Message
404
n00b
n00b


Joined: 04 Nov 2005
Posts: 1
Location: localhost

PostPosted: Fri Nov 04, 2005 5:13 am    Post subject: Anyone having issues with the NEW powerbooks? (1.5GHz G4 12& Reply with quote

I was told to check out the gentoo PPC live cd, I didnt seem to find anything current in the mirrors. I have tried all the others (Ubuntu 5.10 - failed after yaboot booting the install, Ubuntu 4.05 - trashed the OSX partition and nothing [wireless/ethernet/sound/trackpad] worked once installed, OpenSUSE 10.0 / 10.1 OSS-GM install/net install - froze on yaboot'ing the install, FC4 - same, gentoo 2005.1 PPC minimal - yaboot freze, gentoo 2005.1 PPC universal - same)

This is my first NEW powerbook, have plenty of linux exp (ubuntu, suse, slackware), and some OSX exp (OS9, 10.3, 104)

The yaboot freeze (on the install cds) looks like this - black on white:
Code:
. . . ok
opening display/pci@f0000000/NVDA,Parent@10/NVDA,Display-B@1. . .ok
copying OF device tree. . . ok
Calling quiesce . . .
returning 0x04010000 from prom_init
_


OSX is nice and all but I already miss Linux and this machine is only 6 days old. Fink is helping but I need REAL Linux (dual boot would be nice)
_________________
[+] File Not Found


Last edited by 404 on Fri Nov 04, 2005 5:16 am; edited 2 times in total
Back to top
View user's profile Send private message
e-ipi
Apprentice
Apprentice


Joined: 23 Aug 2005
Posts: 192

PostPosted: Fri Nov 04, 2005 6:25 am    Post subject: Reply with quote

Yes, yes, yes, tried them all and they don't work for me, either. Gentoo 2005.0 does work, as do older Debian cds. Of the newer cds, only Slackintosh 10.2 works, and that only boots because they put in a 2.6.11 option.

I think the problem is the linux kernel itself. If it's newer than 2.6.11.12, it won't boot for me. (Fedora has some other problem -- if remember correctly it's an older kernel, but it still stops at setup_arch: enter. Maybe it's patched up to the newer badness.)

What's strange is that there are people out there booting 2.6.1[2,3,4] kernels on this model. I think there's something subtly different with some of these machines that stops them from booting.

Not being able to boot 2.6.12 sucks because it means you have no suspend to anything at all.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum